> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/cosmos-hub/ibc-core-channel-v1-channels-ports-packet_commitments-unreceived_packets.md).

# /ibc/core/channel/v1/channels/{}/ports/{}/packet\_commitments/{}/unreceived\_packets

UnreceivedPackets returns all the unreceived IBC packets associated with a channel and sequences.

#### **Parameters:**

**channel\_id - string**, channel unique identifier

**port\_id - string**, port unique identifier

**packet\_commitment\_sequences - string**, list of packet sequences

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://cosmos.blockpi.network/lcd/v1/<your-api-key>/ibc/core/channel/v1/channels/channel-370/ports/icahost/packet_commitments/1/unreceived_packets

// Result
{
    "sequences": [
        "1"
    ],
    "height": {
        "revision_number": "4",
        "revision_height": "14099411"
    }
}
```

{% endcode %}
